Skip to content

Replace my User Profile

Request

OAuth 2.0 scope:
  • okta.myAccount.profile.manage

Replaces the caller's user profile

Notes:

  • This API differs from the the existing Users API in that only the PUT operation is supported. Partial updates (PATCH requests) aren't available. All values returned by fetching a user profile must pass to the MyAccount API, or the update doesn't pass validation. This applies even if the omitted schema property is optional. To ensure an optional property passes, enter a value of 'null'.
  • The Okta account management policy doesn't support PUT requests to the /idp/myaccount/profile endpoint. See Configure an Okta account management policy.
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
profileobject

The properties defined in the schema

PUT
/idp/myaccount/profile
curl -i -X PUT \
  https://okta-subdomain.pixtulate.com/idp/myaccount/profile \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "profile": {
      "customBoolean": true,
      "foo": "bar",
      "login": "example@ex.ample.com",
      "mobilePhone": "555-555-5555",
      "customInteger": 42
    }
  }'

Responses

OK

Bodyapplication/json;okta-version=1.0.0
createdAtstring, (date-time)read-only

The timestamp of the creation of the caller's account

modifiedAtstring, (date-time)read-only

The timestamp of the last update to the caller's account

profileobject

The properties defined in the user profile schema

Response
{ "createdAt": "2020-01-14T20:05:32.000Z", "modifiedAt": "2020-01-14T20:05:32.000Z", "profile": { "customBoolean": true, "foo": "bar", "login": "example@ex.ample.com", "mobilePhone": "555-555-5555", "customInteger": 42 }, "_links": { "self": {}, "describedBy": {} } }